Bug 24746 - Duplicate id in opacheader markup
Summary: Duplicate id in opacheader markup
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 22880
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-27 17:30 UTC by Owen Leonard
Modified: 2020-03-31 22:43 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24746: Duplicate id in opacheader markup (1.43 KB, patch)
2020-02-27 17:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24746: Duplicate id in opacheader markup (1.66 KB, patch)
2020-02-28 02:06 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24746: Duplicate id in opacheader markup (1.66 KB, patch)
2020-02-29 08:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24746: Duplicate id in opacheader markup (1.66 KB, patch)
2020-02-29 08:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24746: Duplicate id in opacheader markup (1.66 KB, patch)
2020-02-29 08:54 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24746: Duplicate id in opacheader markup (1.72 KB, patch)
2020-02-29 08:55 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-02-27 17:30:16 UTC
'<div id="opacheader">' should be removed from masthead.inc because the same markup is generated by koha_news_block.
Comment 1 Owen Leonard 2020-02-27 17:40:19 UTC
Created attachment 99709 [details] [review]
Bug 24746: Duplicate id in opacheader markup

This patch removes '<div id="opacheader">' from masthead.inc
because the same markup is generated by koha_news_block.

To reproduce the bug, make sure there is an opacheader news block
defined. Add this to the OPACUserCSS system preference:

View the main page of the OPAC. You should see two blue borders around
the opacheader content.

Apply the patch and reload the OPAC page. There should now be only one
blue border.
Comment 2 Bernardo Gonzalez Kriegel 2020-02-28 02:06:55 UTC
Created attachment 99738 [details] [review]
Bug 24746: Duplicate id in opacheader markup

This patch removes '<div id="opacheader">' from masthead.inc
because the same markup is generated by koha_news_block.

To reproduce the bug, make sure there is an opacheader news block
defined. Add this to the OPACUserCSS system preference:

View the main page of the OPAC. You should see two blue borders around
the opacheader content.

Apply the patch and reload the OPAC page. There should now be only one
blue border.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Tested whith OPACUserCSS -> #opacheader { border: 1px solid blue; padding: 1px; }
don't know the intended value but works :)

Work as described following test plan, no errors.
Comment 3 Katrin Fischer 2020-02-29 08:42:57 UTC
I wonder if this could create issues for people who have tied markup etc. to the id without having the pref filled?
Comment 4 Katrin Fischer 2020-02-29 08:53:23 UTC
Created attachment 99802 [details] [review]
Bug 24746: Duplicate id in opacheader markup

This patch removes '<div id="opacheader">' from masthead.inc
because the same markup is generated by koha_news_block.

To reproduce the bug, make sure there is an opacheader news block
defined. Add this to the OPACUserCSS system preference:

View the main page of the OPAC. You should see two blue borders around
the opacheader content.

Apply the patch and reload the OPAC page. There should now be only one
blue border.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Tested whith OPACUserCSS -> #opacheader { border: 1px solid blue; padding: 1px; }
don't know the intended value but works :)

Work as described following test plan, no errors.
Comment 5 Katrin Fischer 2020-02-29 08:53:53 UTC
Created attachment 99803 [details] [review]
Bug 24746: Duplicate id in opacheader markup

This patch removes '<div id="opacheader">' from masthead.inc
because the same markup is generated by koha_news_block.

To reproduce the bug, make sure there is an opacheader news block
defined. Add this to the OPACUserCSS system preference:

View the main page of the OPAC. You should see two blue borders around
the opacheader content.

Apply the patch and reload the OPAC page. There should now be only one
blue border.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Tested whith OPACUserCSS -> #opacheader { border: 1px solid blue; padding: 1px; }
don't know the intended value but works :)

Work as described following test plan, no errors.
Comment 6 Katrin Fischer 2020-02-29 08:54:22 UTC
Created attachment 99804 [details] [review]
Bug 24746: Duplicate id in opacheader markup

This patch removes '<div id="opacheader">' from masthead.inc
because the same markup is generated by koha_news_block.

To reproduce the bug, make sure there is an opacheader news block
defined. Add this to the OPACUserCSS system preference:

View the main page of the OPAC. You should see two blue borders around
the opacheader content.

Apply the patch and reload the OPAC page. There should now be only one
blue border.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Tested whith OPACUserCSS -> #opacheader { border: 1px solid blue; padding: 1px; }
don't know the intended value but works :)

Work as described following test plan, no errors.
Comment 7 Katrin Fischer 2020-02-29 08:55:14 UTC
Created attachment 99805 [details] [review]
Bug 24746: Duplicate id in opacheader markup

This patch removes '<div id="opacheader">' from masthead.inc
because the same markup is generated by koha_news_block.

To reproduce the bug, make sure there is an opacheader news block
defined. Add this to the OPACUserCSS system preference:

View the main page of the OPAC. You should see two blue borders around
the opacheader content.

Apply the patch and reload the OPAC page. There should now be only one
blue border.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Tested whith OPACUserCSS -> #opacheader { border: 1px solid blue; padding: 1px; }
don't know the intended value but works :)

Work as described following test plan, no errors.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Martin Renvoize 2020-03-02 09:47:48 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Joy Nelson 2020-03-31 22:43:50 UTC
not backported 19.11.x due to dependencies